\ProvidesClass{scidoc}
\LoadClass{article}
\RequirePackage{xspace}
\RequirePackage{verbatim}
\newcommand{\method}[1]{\textbf{(\theclass #1)}\par}
\newcommand{\methname}[1]{\textbf{#1}}
\newcommand{\propname}[1]{\textbf{#1}}
\newcommand{\kernname}[1]{\textsf{#1}}
\newcommand{\classname}[1]{\mbox{\underline{#1}}}
\newcommand\sectclass{\@startsection{subsubsection}{3}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries\itshape}}
\newcommand{\superclass}[1]{\makebox[2in][l]{\textbf{Superclass:}}\textbf{#1}\par}
\let\theclass=\relax
\newenvironment{class}[1]{\def\theclass{#1\xspace}\clearpage\subsection{#1 class}%
}{}
\newenvironment{class*}[1]{\def\theclass{#1\xspace}\subsection{#1 class}%
}{}
\newenvironment{methods}{\ifx\theclass{\relax}%
\errmessage{methods environment used outside of class}%
\else\sectclass*{Methods of the \theclass class:}\par%
\fi}{\par}
\newenvironment{properties}{\ifx\theclass\relax%
\errmessage{props environment used outside of class}%
\else\sectclass*{Properties of the \theclass class:}\par\begin{description}\fi}{\end{description}}
\parindent 0cm
\parskip 0.5em
